<template>
  <div class="hub-company container">
    <h2 class="base-title">{{ $t('title') }}</h2>
    <div class="hub-company__list">
      <div class="hub-company__item">
        <img src="../../assets/img/hub/about-us.svg" alt="About Us" />
        <span>{{ $t('about') }}</span>
        <p>
          {{ $t('aboutText') }}
        </p>
      </div>
      <div class="hub-company__item">
        <img src="../../assets/img/hub/our-team.svg" alt="Our Team" />
        <span>{{ $t('team') }}</span>
        <p>
          {{ $t('teamText') }}
        </p>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "TBCC Company",
    "about": "About Us",
    "aboutText": "TBCC is an international blockchain company with a developed ecosystem. We provide various tools for simple and secure management and growth of crypto-assets in a single App, and solutions for creating profitable crypto-businesses.",
    "team": "Our Team",
    "teamText": "TBCC gathered the best IT and blockchain specialists from different countries to make the use of cryptocurrencies easy and safe for everyone. We implement our experience in the financial markets to optimise existing tools and create new ones, so working with our solutions is more functional, convenient and profitable."
  },
  "ch": {
    "title": "TBCC公司",
    "about": "关于我们",
    "aboutText": "TBCC是一家拥有发达生态系统的国际区块链公司。我们提供各种工具，用于简单和安全地管理和增长单一应用程序中的加密资产，以及创建有利可图的加密业务的解决方案",
    "team": "我们的团队",
    "teamText": "TBCC聚集了来自不同国家的最好的IT和区块链专家，使加密货币的使用对每个人来说都很容易和安全。我们实施我们在金融市场的经验，以优化现有的工具，并创造新的工具，所以使用我们的解决方案是更实用，更方便和更有利的。"
  },
  "tur": {
    "title": "TBCC Company",
    "about": "About Us",
    "aboutText": "TBCC is an international blockchain company with a developed ecosystem. We provide various tools for simple and secure management and growth of crypto-assets in a single App, and solutions for creating profitable crypto-businesses.",
    "team": "Our Team",
    "teamText": "TBCC gathered the best IT and blockchain specialists from different countries to make the use of cryptocurrencies easy and safe for everyone. We implement our experience in the financial markets to optimise existing tools and create new ones, so working with our solutions is more functional, convenient and profitable."
  }
}
</i18n>

<style lang="scss" scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 50px;
  text-align: center;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.hub-company {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__list {
    width: 100%;
    display: flex;

    @media (max-width: 767px) {
      flex-direction: column;
      align-items: center;
    }
  }

  &__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #0e1b4e;
    border-radius: 36px;
    padding: 60px 20px;
    width: 100%;

    @media (max-width: 767px) {
      max-width: 350px;
      padding: 60px 27px 40px;
    }

    &:first-child {
      margin-right: 30px;

      @media (max-width: 767px) {
        margin-right: 0;
        margin-bottom: 25px;
      }
    }

    img {
      margin-bottom: 25px;
      height: 71px;
      object-fit: none;
    }

    span {
      font-weight: 6500;
      font-size: 28px;
      color: #ffffff;
      margin: 0 0 25px;

      @media (max-width: 767px) {
        font-size: 24px;
        line-height: 29px;
      }
    }

    p {
      max-width: 372px;
      text-align: center;
      font-size: 18px;
      line-height: 28px;
      color: #6983ab;
      margin: 0;

      @media (max-width: 767px) {
        font-size: 16px;
        line-height: 26px;
      }
    }
  }
}
</style>
